# Periodic system utilities

* **[`pseig`](@ref)**   Characteristic multipliers of a periodic matrix.
* **[`psceig`](@ref)**   Characteristic exponents of a periodic matrix.
* **[`pschur`](@ref)**  Periodic Schur decomposition of a product of matrices.
* **[`phess`](@ref)**  Periodic Hessenberg decomposition of a product of matrices.
* **[`monodromy`](@ref)**  Monodromy matrix of a linear periodic time-varying system of ODE.
* **[`tvstm`](@ref)**  State transition matrix of a linear time-varying system of ODE.
* **[`psreduc_reg`](@ref)**  Fast reduction of a lifted regular pencil corresponding to a product of matrices. 
* **[`tvmeval`](@ref)**  Time response evaluation of a continuous-time periodic matrix. 
* **[`hreval`](@ref)**  Evaluation of a harmonic array for a numerical or symbolic time value. 
* **[`pmaverage`](@ref)**  Evaluation of the time averaged matrix of a continuous-time periodic matrix. 


```@docs
pseig
psceig
pschur
phess
monodromy
tvstm
psreduc_reg
tvmeval
hreval
pmaverage
```
